openSUSE Security Update : kde4-kdm (openSUSE-SU-2010:0112-1)

Medium Nessus Plugin ID 45538

Synopsis

The remote openSUSE host is missing a security update.

Description

The KDE KDM contains a local race condition which allows to make arbitrary files world-writable. CVE-2010-0436 has been assigned to this issue.

Solution

Update the affected kde4-kdm packages.

See Also

https://bugzilla.novell.com/show_bug.cgi?id=584223

https://lists.opensuse.org/opensuse-updates/2010-04/msg00013.html

Plugin Details

Severity: Medium

ID: 45538

File Name: suse_11_2_kde4-kdm-100315.nasl

Version: 1.8

Type: local

Agent: unix

Published: 2010/04/15

Updated: 2019/10/25

Dependencies: 12634

Risk Information

Risk Factor: Medium

CVSS v2.0

Base Score: 6.9

Vector: CVSS2#AV:L/AC:M/Au:N/C:C/I:C/A:C

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:kde4-kgreeter-plugins, p-cpe:/a:novell:opensuse:kdebase4-workspace, p-cpe:/a:novell:opensuse:kdebase4-workspace-branding-upstream, p-cpe:/a:novell:opensuse:kdebase4-workspace-devel, p-cpe:/a:novell:opensuse:kdebase4-workspace-google-gadgets, p-cpe:/a:novell:opensuse:kdebase4-workspace-ksysguardd, p-cpe:/a:novell:opensuse:kdm, p-cpe:/a:novell:opensuse:kdm-branding-upstream, p-cpe:/a:novell:opensuse:kwin, cpe:/o:novell:opensuse:11.2

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Patch Publication Date: 2010/03/15

Reference Information

CVE: CVE-2010-0436